<!-- Copyright 2018 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/html/polymer.html">
<link rel="import" href="chrome://resources/cr_elements/cr_checkbox/cr_checkbox.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">

<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/throbber_notice.html">

<dom-module id="recommend-apps-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="recommend_apps.css">
    <oobe-dialog id="loadingDialog" role="dialog" no-header for-step="loading"
        no-footer-padding>
      <div slot="footer" class="flex layout vertical center center-justified">
        <throbber-notice text-key="recommendAppsLoading">
        </throbber-notice>
      </div>
    </oobe-dialog>
    <oobe-dialog id="appsDialog" role="dialog" has-buttons
        title-key="recommendAppsScreenTitle"
        aria-label$="[[i18nDynamic(locale, 'recommendAppsScreenTitle')]]"
        no-footer-padding footer-shrinkable for-step="list">
      <iron-icon src="chrome://oobe/playstore.svg" slot="oobe-icon">
      </iron-icon>
      <div id="subtitle" slot="subtitle">
        [[i18nDynamic(locale, 'recommendAppsScreenDescription', appCount_)]]
      </div>
      <div id="app-list-view-container" slot="footer">
        <webview id="appView" on-message="onMessage_"></webview>
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="skipButton"
            text-key="recommendAppsSkip" on-click="onSkip_" border>
        </oobe-text-button>
        <oobe-next-button id="installButton" on-click="onInstall_" inverse
            text-key="recommendAppsInstall"
            disabled="[[!canProceed_(appsSelected_)]]">
        </oobe-next-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
